Projects

Get project CAPTCHA configuration

Get CAPTCHA configuration for a project. This is a public endpoint that returns the site key and settings needed for frontend integration. Secret key is never returned.

AuthPublic
GroupProjects
Rate limitSee Rate Limits
GET/api/projects/{orgId}/projects/{id}/auth/captcha

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.getProjectCaptchaConfig("org_2KHoEE9lxD", "uEqeODdArAALCSUc");
const { data: result } = await projects.getProjectCaptchaConfig("org_2KHoEE9lxD", "uEqeODdArAALCSUc");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Path Parameters

NameTypeRequiredDescription
orgIdstringYesOrganization ID
idstringYesProject ID

Responses

200CAPTCHA configuration
json
{
  "captcha": {
    "enabled": true,
    "version": "v3",
    "siteKey": "6LeIxAcTAAAAAJcZVRqyHh71UMIEGNQ_MXjiZKhI",
    "minScore": 0.5
  }
}
{
  "captcha": {
    "enabled": true,
    "version": "v3",
    "siteKey": "6LeIxAcTAAAAAJcZVRqyHh71UMIEGNQ_MXjiZKhI",
    "minScore": 0.5
  }
}
404
500

Errors

CodeMeaning
404
500
Edit this page on GitHub